Welcome to the Onshape forum! Ask questions and join in the discussions about everything Onshape.

First time visiting? Here are some places to start:

  1. Looking for a certain topic? Check out the categories filter or use Search (upper right).
  2. Need support? Ask a question to our Community Support category.
  3. Please submit support tickets for bugs but you can request improvements in the Product Feedback category.
  4. Be respectful, on topic and if you see a problem, Flag it.

If you would like to contact our Community Manager personally, feel free to send a private message or an email.

How do I orient an ellipse (skEllipse)?

Aaron_HooverAaron_Hoover Member Posts: 35 EDU
edited October 2018 in FeatureScript
I'm generating an ellipse on a plane with skEllipse and I'd like to be able to rotate it in plane with respect to the coordinate system of the sketch plane. One way to do this would be specify the angle of the major axis wrt the X axis of the coordinate system, but there's no angle parameter in the skEllipse definition. So, I figured when I specify the "majorRadius" field perhaps I could pass a 2D vector rotated by the angle I want (with the minorRadius rotated by the same angle.) But, I get the following error:


Precondition of skEllipse failed (value.minorRadius is undefined || is...)

232:5   
onshape/std/units.fs (val is ValueWithUnits)

69:5   
onshape/std/valueBounds.fs (isLength(value))

439:5   onshape/std/sketch.fs (skEllipse)

Best Answers

Answers

  • Aaron_HooverAaron_Hoover Member Posts: 35 EDU
    Thanks! That did the trick. 
Sign In or Register to comment.